package com.njyunzhi.servsummary.common;


import cn.dev33.satoken.stp.StpUtil;
import com.njyunzhi.servsummary.entity.SysUser;
import com.njyunzhi.servsummary.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {
    @Autowired
    protected SysUserService sysUserService;

    protected SysUser currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        SysUser user = sysUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }
}
