package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 服务器;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "服务器",description = "")
@TableName("ta_ecs")
public class TaEcs implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "ecs_id", type = IdType.ASSIGN_UUID)
    private String ecsId ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** 内网ID */
    @ApiModelProperty(name = "内网ID",notes = "")
    private String innerIp ;
    /** 外网IP */
    @ApiModelProperty(name = "外网IP",notes = "")
    private String outerIp ;
    /** 账号 */
    @ApiModelProperty(name = "账号",notes = "")
    private String account ;
    /** 密码 */
    @ApiModelProperty(name = "密码",notes = "")
    private String password ;
    /** 到期时间 */
    @ApiModelProperty(name = "到期时间",notes = "")
    private LocalDateTime expireDate ;
    /** 所属云账户 */
    @ApiModelProperty(name = "所属云账户",notes = "")
    private String cloudId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}