package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 项目表;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "项目表",description = "")
@TableName("ta_project")
public class TaProject implements Serializable,Cloneable{
    /** 项目ID */
    @ApiModelProperty(name = "项目ID",notes = "")
    @TableId(value = "project_id", type = IdType.ASSIGN_UUID)
    private String projectId ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** logo */
    @ApiModelProperty(name = "logo",notes = "")
    private String logo ;
    /** 到期日期 */
    @ApiModelProperty(name = "到期日期",notes = "")
    private LocalDateTime expireDate ;
    /** 备注 */
    @ApiModelProperty(name = "备注",notes = "")
    private String remark ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}