package com.njyunzhi.servsummary.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.njyunzhi.servsummary.entity.SysSms;

/**
 * 系统短信;(sys_sms)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-11-22
 */
@Mapper
public interface SysSmsMapper extends BaseMapper<SysSms> {

    SysSms getByPhone(@Param("phone") String phone, @Param("code") String code);
}