package com.njyunzhi.servsummary.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.njyunzhi.servsummary.entity.SysSms;
import com.njyunzhi.servsummary.mapper.SysSmsMapper;
import com.njyunzhi.servsummary.service.SysSmsService;

/**
 * 系统短信;(sys_sms)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Service
public class SysSmsServiceImpl extends BaseServiceImpl<SysSmsMapper, SysSms> implements SysSmsService {

    @Override
    public SysSms getByPhone(String phone, String code) {
        return baseMapper.getByPhone(phone, code);
    }
}