package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 系统短信;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统短信",description = "")
@TableName("sys_sms")
public class SysSms implements Serializable,Cloneable{
    /** 短信ID */
    @ApiModelProperty(name = "短信ID",notes = "")
    @TableId(value = "sms_id", type = IdType.ASSIGN_UUID)
    private String smsId ;
    /** 模板code */
    @ApiModelProperty(name = "模板code",notes = "")
    private String code ;
     /** 手机号 */
     @ApiModelProperty(name = "手机号",notes = "")
     private String phone ;
    /** 短信内容 */
    @ApiModelProperty(name = "短信内容",notes = "")
    private String content ;
    /** 过期时间 */
    @ApiModelProperty(name = "过期时间",notes = "")
    private LocalDateTime expireDate ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}