package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * OSS Bucket;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "OSS Bucket",description = "")
@TableName("ta_oss_bucket")
public class TaOssBucket implements Serializable,Cloneable{
    /** ossID */
    @ApiModelProperty(name = "ossID",notes = "")
    @TableId(value = "bucket_id", type = IdType.ASSIGN_UUID)
    private String bucketId ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** 域名 */
    @ApiModelProperty(name = "域名",notes = "")
    private String url ;
    /** 绑定域名 */
    @ApiModelProperty(name = "绑定域名",notes = "")
    private String bindUrl ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}