package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * ssl域名;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ssl域名",description = "")
@TableName("ta_ssl")
public class TaSsl implements Serializable,Cloneable{
    /** SSL ID */
    @ApiModelProperty(name = "SSL ID",notes = "")
    @TableId(value = "ssl_id", type = IdType.ASSIGN_UUID)
    private String sslId ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** 域名 */
    @ApiModelProperty(name = "域名",notes = "")
    private String url ;
    /** 到期时间 */
    @ApiModelProperty(name = "到期时间",notes = "")
    private LocalDateTime expireDate ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}